from pydantic import BaseModel
from typing import List
from narraml.types.path import Path, SubPath

class RenderingHints(BaseModel):
    suggested_layout: str
    icon_set: str

class NarrFrame(BaseModel):
    rendering_hints: RenderingHints
    path: Path
    sub_paths: List[SubPath] = []
